org.apache.lucene.analysis.core

## Class Lucene43StopFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.util.Lucene43FilteringTokenFilter
        - - org.apache.lucene.analysis.core.Lucene43StopFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  Use `StopFilter`

      @Deprecated
      public final class Lucene43StopFilter
      extends Lucene43FilteringTokenFilter

  Backcompat StopFilter for versions 4.3 and before.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene43StopFilter(boolean enablePositionIncrements, TokenStream in, CharArraySet stopWords)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `accept()` Deprecated. Returns the next input Token whose term() is not a stop word.

    - ### Methods inherited from class org.apache.lucene.analysis.util.Lucene43FilteringTokenFilter

      `incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene43StopFilter

          public Lucene43StopFilter(boolean enablePositionIncrements,
                            TokenStream in,
                            CharArraySet stopWords)

      Deprecated.

  - ### Method Detail

    - #### accept

          protected boolean accept()
                            throws IOException

      Deprecated.
      Returns the next input Token whose term() is not a stop word.
      Specified by:
        `accept` in class `Lucene43FilteringTokenFilter`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.